from network import WLAN
from mqtt import MQTTClient
import machine
import time

def settimeout(duration):
    pass

print("trying to connect")
wlan = WLAN(mode=WLAN.STA)
wlan.antenna(WLAN.EXT_ANT)
print(wlan.ifconfig())
nets = wlan.scan()
print(str(nets))
wlan.connect(ssid='enib', auth=(WLAN.WPA2, '[pwd_enib]'))
#wlan.connect('eduroam', auth=(WLAN.WPA2_ENT, '[my_log]','[my_pwd]'))

while not wlan.isconnected():
    pass #machine.idle()
print("Connected to Wifi\n")

client = MQTTClient("broker", "192.168.200.179", port=1883)
client.settimeout = settimeout
client.connect()

while True:
     client.publish("test/message", "hello")
     print("Sending hello")
     time.sleep(1)
